package Petal::Application::Template;

use strict;
use warnings;

use Petal;

sub new {
	my ($class, %options) = @_;
	my $self = {};
	bless $self, $class;

	$self->{options} = \%options;

	return $self;
}

sub option {
	my ($self, $option, $value) = @_;
	$self->{options}->{$option} = $value if defined $value;
	return $self->{options}->{$option};
}

sub param {
	my ($self, $param, $value) = @_;
	$self->{params}->{$param} = $value if defined $value;
	return $self->{params}->{$param};
}

sub process {
	my ($self) = @_;
	my $obj = new Petal(%{$self->{options}});
	return $obj->process(%{$self->{params}});
}

1;
